<?xml version="1.0" encoding="utf-8"?>
<rougail version="0.10">
  <services>
    <service name='dev-hugepages' type='mount' disabled="True"/>
    <service name='systemd-oomd' disabled="True"/>
    <service name='systemd-homed' disabled="True"/>
    <service name='systemd-machine-id-commit' disabled="True"/>
    <service name="systemd-networkd">
      <file redefine='True' disabled='True'>link_configurations</file>
    </service>
  </services>
  <variables>
    <variable name="link_configurations" redefine="True" disabled="True"/>
    <variable name="container_srv_path" type="filename" description="Nom du répertoire racine des données">
      <value>/var/lib/risotto/srv</value>
    </variable>
    <variable name="srv_dir" description='Nom du répertoire des données' type="filename" hidden="True" supplier="Host:machine_srv"/>
    <variable name="container_config_path" type="filename" description="Nom du répertoire racine des configurations">
      <value>/var/lib/risotto/configurations</value>
    </variable>
    <variable name="config_dir" description='Nom du répertoire des configurations' type="filename" hidden="True" mandatory="True" supplier="Host:config_dir"/>
    <variable name="container_journal_path" type="filename" description="Nom du répertoire racine des journaux">
      <value>/var/lib/risotto/journals</value>
    </variable>
    <variable name="journal_dir" description='Nom du répertoire des journaux' type="filename" hidden="True" mandatory="True" supplier="Host:machine_journal"/>
    <variable name="use_systemd_repart" redefine="True">
      <value>False</value>
    </variable>
    <family name="network">
      <variable name="incoming_ports" type="port" description="Ports exposés depuis l'extérieur" multi="True" supplier="Host:incoming_ports" hidden="True"/>
      <variable name="outgoing_ports" type="port" description="Ports autorisés vers l'extérieur" multi="True" supplier="Host:outgoing_ports" hidden="True"/>
      <variable name="netwokd_interface_name_type" redefine="True">
        <value>host</value>
      </variable>
      <variable name="zones_list" redefine="True" supplier="Host:machine_zones"/>
    </family>
  </variables>
  <constraints>
    <condition name="disabled_if_in" source="machine.add_srv">
      <param>False</param>
      <target type="variable">srv_dir</target>
    </condition>
    <fill name="calc_value">
      <param type="variable">container_srv_path</param>
      <param>/</param>
      <param type="variable">server_name</param>
      <param name="join"></param>
      <target>srv_dir</target>
    </fill>
    <fill name="calc_value">
      <param type="variable">container_journal_path</param>
      <param>/</param>
      <param type="variable">server_name</param>
      <param name="join"></param>
      <target>journal_dir</target>
    </fill>
    <fill name="calc_value">
      <param type="variable">container_config_path</param>
      <param>/</param>
      <param type="variable">server_name</param>
      <param name="join"></param>
      <target>config_dir</target>
    </fill>
  </constraints>
</rougail>

